package ACL2::Localizacion;
use base qw(Locale::Maketext);

# Hints for PAR
use ACL2::Localizacion::es;
use ACL2::Localizacion::en;

#
#    Message string localization - base class
#    Copyright (C) 2006-2008 Antonio Garca Domnguez
#    $Id$
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

# No special methods are needed for now.

=head1 NAME

ACL2::Localizacion - Main localization module

=head1 FUNCTIONS

These are the functions implemented by this module:

=head2 fallback_languages

Usage: uses English and then Spanish as fallback languages for all
message strings.

=cut

sub fallback_languages
{
    return ("en", "es");
}

1;
